% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/receiver_operating_characteristic.R
\name{build_gg_roc_curve}
\alias{build_gg_roc_curve}
\title{Builds a ggplot ROC curve.}
\usage{
build_gg_roc_curve(
  data_curve,
  data_auc,
  palette_color = c("#500472", "#79cbb8"),
  ...
)
}
\arguments{
\item{data_curve}{Data frame with ROC curve.}

\item{data_auc}{Data frame with AUC.}

\item{palette_color}{List of colors used.}

\item{...}{Additional arguments to be passed to ggplot2::geom_path.}
}
\value{
A ggplot object representing the ROC curve.
}
\description{
This function takes data frames for ROC curve and AUC and builds a ggplot ROC curve.
}
