% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/setcorrelation.R
\name{compute_covariation}
\alias{compute_covariation}
\title{Compute Covariation from Correlation and Standard Deviations}
\usage{
compute_covariation(corr_AB, sd_A, sd_B)
}
\arguments{
\item{corr_AB}{The correlation coefficient between variables A and B.}

\item{sd_A}{The standard deviation of variable A.}

\item{sd_B}{The standard deviation of variable B.}
}
\value{
The covariation between variables A and B.
}
\description{
This function computes the covariation between two variables (A and B) given their correlation and standard deviations.
}
\examples{
corr <- 0.7
sd_A <- 3
sd_B <- 4
compute_covariation(corr, sd_A, sd_B)
}
