% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/datafrommvrnorm_manipulations.R
\name{fillInCovarMatrice}
\alias{fillInCovarMatrice}
\title{Fill in Covariance Matrix}
\usage{
fillInCovarMatrice(covarMatrice, covar)
}
\arguments{
\item{covarMatrice}{The input covariance matrix.}

\item{covar}{A data frame containing the covariance value between two variables.}
}
\value{
The updated covariance matrix with the specified covariance value filled in.
}
\description{
This function updates the covariance matrix with the specified covariance value between two variables.
}
\examples{
covarMat <- matrix(0, nrow = 3, ncol = 3)
colnames(covarMat) <- c("label_varA", "label_varB", "label_varC")
rownames(covarMat) <- c("label_varA", "label_varB", "label_varC")
covarValue <- data.frame("varA.varB" = 0.5)
fillInCovarMatrice(covarMatrice = covarMat, covar = covarValue)
}
