% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulation.R
\name{getInput2simulation}
\alias{getInput2simulation}
\title{Get input for simulation based on coefficients}
\usage{
getInput2simulation(list_var, n_genes = 1, input2mvrnorm = NULL)
}
\arguments{
\item{list_var}{A list of variables (already initialized)}

\item{n_genes}{Number of genes to simulate (default: 1)}

\item{input2mvrnorm}{Input to the \code{mvrnorm} function for simulating data from multivariate normal distribution (default: NULL)}
}
\value{
A data frame with input coefficients for simulation
}
\description{
This function generates input data for simulation based on the coefficients provided in the \code{list_var} argument.
}
\examples{
# Example usage
list_var <- init_variable()
getInput2simulation(list_var, n_genes = 10)
}
