% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/anova.R
\name{handleAnovaError}
\alias{handleAnovaError}
\title{Handle ANOVA Errors}
\usage{
handleAnovaError(list_tmb, group, ...)
}
\arguments{
\item{list_tmb}{A list of fitted glmmTMB models.}

\item{group}{A character string indicating the group for which ANOVA is calculated.}

\item{...}{Additional arguments to be passed to the \code{car::Anova} function.}
}
\value{
A data frame containing ANOVA results for the specified group.
}
\description{
This function handles ANOVA errors and warnings during the ANOVA calculation process.
}
\examples{
list_tmb <- fitModelParallel(Sepal.Length ~ Sepal.Width + Petal.Length,
                          data = iris, group_by = "Species", n.cores = 1)
anova_res <- handleAnovaError(list_tmb, "setosa", type = "III")

}
