% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/subsetgenes.R
\name{subsetGenes}
\alias{subsetGenes}
\title{Subset Genes in Genomic Data}
\usage{
subsetGenes(l_genes, mockObj)
}
\arguments{
\item{l_genes}{A character vector specifying the genes to be retained in the dataset.}

\item{mockObj}{An object containing relevant genomic information to be filtered.}
}
\value{
A modified version of the 'mockObj' data object, with genes filtered according to 'l_genes'.
}
\description{
The 'subsetGenes' function selects and retains genes from 'mockObj' that match the genes specified in 'l_genes'.
}
\details{
This function filters and adjusts genomic data within the Roxygeb project, based on a specified list of genes.
}
\examples{
\dontrun{
# Example list of genes to be retained
selected_genes <- c("GeneA", "GeneB", "GeneC")

# Example data object 'mockObj' (simplified structure)
mockObj <- list(
  # ... (mockObj structure)
)

# Using the subsetGenes function to filter 'mockObj'
filtered_mockObj <- subsetGenes(selected_genes, mockObj)
}
}
